Imports Microsoft.Reporting.WinForms

Public Class kittedReportForm

    Public account As String
    Public line As String
    Public model As String
    Public type As String
    Public revision As String

    Private Sub kittedReportForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'EpsonDataSet.KITTING' table. You can move, or remove it, as needed.
        Me.MdiParent = mainForm
        Control.CheckForIllegalCrossThreadCalls = False

        Me.KITTINGTableAdapter.Fill(Me.EpsonDataSet1.KITTING)
        Dim _account As New ReportParameter("Account", account)
        Dim _line As New ReportParameter("Line", line)
        Dim _model As New ReportParameter("Model", model)
        Dim _type As New ReportParameter("Type", type)
        Dim _revision As New ReportParameter("Revision", revision)
        Me.ReportViewer.LocalReport.SetParameters(New ReportParameter() {_account, _line, _model, _type, _revision})
        Me.ReportViewer.RefreshReport()
    End Sub
End Class